Name:           lib3ds
Version:        1.3.0
Release:        6%{?dist}

Summary:        3D Studio file format library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://lib3ds.sourceforge.net
Source:         http://downloads.sourceforge.net/lib3ds/lib3ds-%{version}.zip
Patch2:         lib3ds-1.2.0-pkgconfig.diff
Patch3:         lib3ds-1.3.0-3ds2m.diff

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
lib3ds is a free ANSI-C library for working with the popular "3ds" 3D model
format.

Supported platforms include GNU (autoconf, automake, libtool, make, GCC) on
Unix and Cygwin, and MS Visual C++ 6.0. lib3ds loads and saves Atmosphere
settings, Background settings, Shadow map settings, Viewport setting,
Materials, Cameras, Lights, Meshes, Hierarchy, Animation keyframes. It also
contains useful matrix, vector and quaternion mathematics tools. lib3ds
usually integrates well with OpenGL. In addition, some diagnostic and
conversion tools are included.

%package        tools
Summary:        %summary
Group:          Applications/Multimedia

%description    tools
Some tools to process 3ds files.

%files          tools
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/3dsdump
%{_mandir}/man1/3dsdump.1*
%if 0%{?fedora} < 9
%{_bindir}/3ds2m
%{_mandir}/man1/3ds2m.1*
%endif

%package        devel
Summary:        %summary
Group:          Development/Libraries
Requires:	pkgconfig
Requires:	lib3ds = %{version}-%{release}

%description    devel
Development files for lib3ds

%if 0%{?fedora} < 9
%package        static
Summary:        %summary
Group:          Development/Libraries
Requires:	lib3ds-devel = %{version}-%{release}

%description    static
Static development files for lib3ds
%endif

%prep
%setup -q
%patch2 -p1

%if 0%{?fedora} < 9
%patch3 -p1
%endif

%build
%configure \
%if 0%{?fedora} >= 9
  --disable-static
%endif

make %{?_smp_mflags}

sed -e 's,@prefix@,%{_prefix},' \
  -e 's,@exec_prefix@,%{_exec_prefix},' \
  -e 's,@libdir@,%{_libdir},' \
  -e 's,@includedir@,%{_includedir},' \
  -e 's,@VERSION@,%{version},' \
  lib3ds.pc.in > lib3ds.pc

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

install -d ${RPM_BUILD_ROOT}%{_libdir}/pkgconfig
install lib3ds.pc -m 0644 ${RPM_BUILD_ROOT}%{_libdir}/pkgconfig

## Remove libtool archive
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/*.so.*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%if 0%{?fedora} < 9
%files static
%{_libdir}/*.a
%endif


%files devel
%defattr(-,root,root,-)
%{_bindir}/lib3ds-config
%{_libdir}/*.so
%{_libdir}/pkgconfig/lib3ds.pc
%{_mandir}/man1/lib3ds-config.1*
%{_includedir}/lib3ds
%{_datadir}/aclocal/*

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Sep 24 2008 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.3.0-5
- Fix silly typo in previous change.

* Wed Sep 24 2008 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.3.0-4
- Work around rpmbuild having stopped supporting %%patch -P N.

* Mon Jul  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.3.0-3
- fix conditional comparison

* Sun Feb 10 2008 Ralf Corsépius <rc040203@freenet.de> - 1.3.0-2
- Rebuild for gcc43.

* Sat Nov 03 2007 Ralf Corsépius <rc040203@freenet.de> - 1.3.0-1
- Cleanup spec.
- Add post/postun.
- Re-add 3ds2m for fedora < 9.
- Abandon *-static for fedora >= 9.

* Fri Nov 02 2007 Xavier Lamien <lxtnow[at]gmail.com> - 1.3.0
- Updated Release.

* Sun Oct 21 2007 Ralf Corsépius <rc040203@freenet.de> - 1.2.0-13
- Address BZ 341851:
  - Add lib3ds.pc.
  - Rework lib3ds-config to using lib3ds.pc.
  - Add lib3ds-1.2.0-pkgconfig.diff

* Sat Oct 20 2007 Ralf Corsépius <rc040203@freenet.de> - 1.2.0-12
- Change Source: to using downloads.sourceforge.net.

* Sat Aug 18 2007 Ralf Corsépius <rc040203@freenet.de> - 1.2.0-11
- Update license tag.

* Wed Nov 14 2006 Ralf Corsépius <rc040203@freenet.de> - 1.2.0-10
- Add Provides: *-static.

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 1.2.0-9
- Mass rebuild.

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 1.2.0-8
- Mass rebuild.

* Thu Feb 28 2006 Ralf Corsepius <rc040203@freenet.de> - 1.2.0-7
- Rebuild.

* Thu Jan 05 2006 Ralf Corsepius <rc040203@freenet.de> - 1.2.0-6
- PR 176665: Apply upstream patch.
- Add %%dist.

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1.2.0-5
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Aug 09 2004 Ralf Corsepius <ralf[AT]links2linux.de> - 0:1.2.0-0.fdr.3
- Fix m4-underquoting in lib3d.m4.

* Thu Jul 14 2004 Ralf Corsepius <ralf[AT]links2linux.de> - 0:1.2.0-0.fdr.2
- Split out tools into separate subpackage "tools".
- Fix description's formating.

* Thu Jul 08 2004 Ralf Corsepius <ralf[AT]links2linux.de> - 0:1.2.0-0.fdr.1
- Initial RPM release.
